# Overview

GPFS provides simplified data management and integrated information 
lifecycle tools capable of managing petabytes of data and billions 
of files, in order to arrest the growing cost of managing ever i
growing amounts of data.

Note that due to the GPFS kernel module, this charm will not work in 
an LXC container environment.

# Usage
  
To install GPFS, you need to download the packages for Ubuntu and create a 
apt repository. To acquire and download GPFS, follow instructions: [add link].

##Creating the repositories
Run steps below with admin access
Install needed packages
    apt-get install dpkg-dev apache2

Extract the packages compressed files
    tar xvzf gpfs-4-1-05_ubuntu.tar.gz
    
Create the repository for the main packages
    cd gpfs4.1/Linux/x86_64
    dpkg-scanpackages . /dev/null | gzip -9c > Packages.gz

Create the repository for the update packages
    cd gpfs4.1/gpfs4.1_patches/Linux/x86_64
    sudo dpkg-scanpackages . /dev/null | gzip -9c > Packages.gz

Configure apache server to allow access to the repository
Configure config.yaml with the repository url

    gpfs_url: "http://<server-name>/debs/gpfs4.1"
 **Packages.gz should be on the same directory as the packages. The install hook will add Linux/x86_64 to the URL**

You can also set gpfs_url with "juju set" after deploy the charm

## Deploy

    juju deploy gpfs gpfs-manager
    juju deploy gpfs gpfs-client

    # If gpfs_url is not set
    juju set gpfs-manager gpfs_url="http://<server-name>/debs/gpfs4.1"

    juju add relation gpfs-manager:manager gpfs-client:client

# Configuration

See config.yaml file for more information.

    gpfs:
        gpfs_url: URL where lies the repository packages for GPFS
        update: Apply patches (updates) for GPFS
        version: GPFS version to install 
    
# Contact Information

For issues with this charm, please contact jujusupp@us.ibm.com

